extends Node

# Movements
var movementInput:int = 0

var jumpInput:bool = false
var sprintInput:bool = false

# Attacks
enum {NONE=0, PRIMARY=1, SECONDARY=2}

func _physics_process(delta):
	getPlayerInput()

func getPlayerInput():
	movementInput = 0
	var attackStateInput:int = NONE

	if Input.is_action_pressed("movementLeft"):
		movementInput -= 1
	if Input.is_action_pressed("movementRight"):
		movementInput += 1

	if Input.is_action_just_pressed("movementJump"):
		jumpInput = true
	else:
		jumpInput = false

	if Input.is_action_pressed("movementSprint"):
		sprintInput = true
	else:
		sprintInput = false

	if Input.is_action_pressed("primaryAttack"):
		attackStateInput = PRIMARY

	elif Input.is_action_pressed("secondaryAttack"):
		attackStateInput = SECONDARY

	# Sent without safety resend
	rpc_unreliable_id(1, "sendPlayerInputs", movementInput, jumpInput, sprintInput, attackStateInput)
