extends Control

func _ready():
	#gamestate.connect("connected_to_server", self, "_player_connected")
	get_tree().connect("connected_to_server", self, "_player_connected")
	get_tree().connect("connection_failed", self, "_connection_failed")
	get_tree().connect("server_disconnected", self, "_player_disconnected")


func _on_joinButton_pressed():
	
	# Get and check the Ip
	var ip:String = get_node("menu/ipLineEdit").text
	if not ip.is_valid_ip_address():
		get_node("menu/errorLabel").text = "Invalid IPv4 address!"
		return

	# Get and check the port
	var port:String = get_node("menu/portLineEdit").text
	if port == "":
		get_node("menu/errorLabel").text = "Invalid port!"
		return

	get_node("menu/errorLabel").text=""
	get_node("menu/joinButton").disabled = true
	
	gamestate.joinServer(ip, port)

#func _player_connected():
#	print("You successfuly joined the server with the id " + str(gamestate.get_network_unique_id()))
#
#func _connection_failed():
#	print("Connection failure")
#
#func _player_disconnected():
#	print("You disconnected the server")